%define aurox_ver 9.3
%define rel 2

%define firebird_version 0.7.1

Summary: Support for Polish interface in Mozilla Firebird
Name: mozilla-firebird-i18n-Polish
Version: 0.7
Release: %{aurox_ver}.aur.%{rel}
License: MPL
URL: http://www.mozilla.org/
#Source: http://osdn.dl.sourceforge.net/sourceforge/mozillapl/MozillaFirebird-pl-PL-Build-ID-0.7.xpi
Source: http://ftp.mozilla.org/pub/mozilla.org/firebird/releases/%{version}/contrib-localized/MozillaFirebird-%{version}-plPL-langpack.xpi
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-root
Requires: mozilla-firebird = %{firebird_version}
PreReq: mozilla-firebird-tools = %{firebird_version}
BuildPreReq: unzip, dos2unix

%description
Polish translation of the Mozilla Firebird interface from mozillapl.org.

%prep
%setup -q -T -c -n %{name}-%{version}
unzip %{SOURCE0}

%build
dos2unix install.js
grep 'registerChrome(LOCALE ' install.js | grep chromeName | awk '{print $8}' | sed 's/"//g;s#/);##g' | awk 'BEGIN {OFS=""} {print "locale,install,url,jar:resource:/chrome/pl-PL.jar!/locale/pl-PL/",$1,"/"}' > lang-pl-PL.jar.txt
grep 'registerChrome(LOCALE ' install.js | grep platformName | awk '{print $8}' | sed 's/"//g;s#/);##g' | awk 'BEGIN {OFS=""} {print "locale,install,url,jar:resource:/chrome/pl-unix.jar!/locale/pl-PL/",$1,"/"}' > lang-pl-unix.jar.txt

%install
rm -rf $RPM_BUILD_ROOT
# add new locale
install -d $RPM_BUILD_ROOT/usr/lib/mozilla-firebird/chrome/lang
cp -f bin/chrome/pl-PL.jar $RPM_BUILD_ROOT/usr/lib/mozilla-firebird/chrome/pl-PL.jar
cp -f bin/chrome/pl-unix.jar $RPM_BUILD_ROOT/usr/lib/mozilla-firebird/chrome/pl-unix.jar
cp -f lang-pl-PL.jar.txt lang-pl-unix.jar.txt $RPM_BUILD_ROOT/usr/lib/mozilla-firebird/chrome/lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null
if [ -f /usr/lib/mozilla-firebird/mozilla-firebird-rebuild-databases.pl ]; then
    /usr/lib/mozilla-firebird/mozilla-firebird-rebuild-databases.pl
fi

%postun
/sbin/ldconfig >/dev/null 2>/dev/null
if [ -f /usr/lib/mozilla-firebird/mozilla-firebird-rebuild-databases.pl ]; then
    /usr/lib/mozilla-firebird/mozilla-firebird-rebuild-databases.pl
fi

%files
%defattr(-,root,root)
/usr/lib/mozilla-firebird/chrome/*.jar
/usr/lib/mozilla-firebird/chrome/lang/*.txt

%changelog
* Mon Feb 02 2004 Aurox Team <aurox@aurox.org> 0:0.7-9.3.aur.2
- use firebird_version macro
- rebuild from official langpack from mozilla.org
- version set to 0.7
- initial package
- initial build


